org.apache.poi.hdgf.pointers

## Class PointerV6

- java.lang.Object
- - org.apache.poi.hdgf.pointers.Pointer
  - - org.apache.poi.hdgf.pointers.PointerV6

-     public final class PointerV6
      extends Pointer

  A Pointer from v6+

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PointerV6()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `destinationCompressed()`
    `boolean` | `destinationHasChunks()`
    `boolean` | `destinationHasPointers()`
    `boolean` | `destinationHasStrings()`
    `int` | `getNumPointers(int offset, byte[] data)` 32 bit int at the given offset
    `int` | `getNumPointersOffset(byte[] data)` Stored within the data
    `static int` | `getNumPointersOffsetV6(byte[] data)`
    `static int` | `getNumPointersV6(int offset, byte[] data)`
    `int` | `getPostNumPointersSkip()` 4 bytes of the number, and 4 more unknown bytes
    `static int` | `getPostNumPointersSkipV6()`
    `int` | `getSizeInBytes()` With v6 pointers, the on-disk size is 18 bytes

    - ### Methods inherited from class org.apache.poi.hdgf.pointers.Pointer

      `getAddress, getFormat, getLength, getOffset, getType, isFormatBetween, setAddress, setFormat, setLength, setOffset, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PointerV6

          public PointerV6()

  - ### Method Detail

    - #### destinationHasStrings

          public boolean destinationHasStrings()

      Specified by:
        `destinationHasStrings` in class `Pointer`

    - #### destinationHasPointers

          public boolean destinationHasPointers()

      Specified by:
        `destinationHasPointers` in class `Pointer`

    - #### destinationHasChunks

          public boolean destinationHasChunks()

      Specified by:
        `destinationHasChunks` in class `Pointer`

    - #### destinationCompressed

          public boolean destinationCompressed()

      Specified by:
        `destinationCompressed` in class `Pointer`

    - #### getSizeInBytes

          public int getSizeInBytes()

      With v6 pointers, the on-disk size is 18 bytes
      Specified by:
        `getSizeInBytes` in class `Pointer`

    - #### getNumPointersOffset

          public int getNumPointersOffset(byte[] data)

      Stored within the data
      Specified by:
        `getNumPointersOffset` in class `Pointer`

    - #### getNumPointersOffsetV6

          public static int getNumPointersOffsetV6(byte[] data)

    - #### getNumPointers

          public int getNumPointers(int offset,
                                    byte[] data)

      32 bit int at the given offset
      Specified by:
        `getNumPointers` in class `Pointer`

    - #### getNumPointersV6

          public static int getNumPointersV6(int offset,
                                             byte[] data)

    - #### getPostNumPointersSkip

          public int getPostNumPointersSkip()

      4 bytes of the number, and 4 more unknown bytes
      Specified by:
        `getPostNumPointersSkip` in class `Pointer`

    - #### getPostNumPointersSkipV6

          public static int getPostNumPointersSkipV6()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.